commit:     6e842ac53fa8064f7c8659178fc6f8fe23e682e3
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 11 10:10:14 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Jan 11 10:11:18 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e842ac5

dev-python/matplotlib: Version Bump

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/matplotlib/Manifest                |   1 +
 dev-python/matplotlib/matplotlib-1.5.1.ebuild | 273 ++++++++++++++++++++++++++
 2 files changed, 274 insertions(+)

diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index 09f7f30..b2f8629 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -1,2 +1,3 @@
 DIST matplotlib-1.4.3.tar.gz 49933525 SHA256 
5b9544472d9d6ab3d47423bdb5a0e64fdf913e505c1c083f25283dd0362bc0b6 SHA512 
51b0f58b2618b47b653e17e4f6b6a1215d3a3b0f1331ce3555cc7435e365d9c75693f289ce12fe3bf8f69fd57b663e545f0f1c2c94e81eaa661cac0689e125f5
 WHIRLPOOL 
160ca48ecb44db58f1c56bd6e89592c5d1badd8e434fc25d32aa6d4d7a346ae7c7444d1c8e0c2ca2bf5c3246fd56cd93856ec7b1e3e51f5e471b9b55a0f2c1ad
 DIST matplotlib-1.5.0.tar.gz 53962448 SHA256 
67b08b1650a00a6317d94b76a30a47320087e5244920604c5462188cba0c2646 SHA512 
559a3ef031ca65b431157f0dd50f7d81f2d854f92150ee2b9de5e44b31d49615bfdc049a682667bc2e1399b8cd724dfcefec8f4de7e92848fe5756f93ddef5fa
 WHIRLPOOL 
b30a7299dd0690cd0355883cbe7d335d76314bab85f5b67b326b0e600b479db3cd5e7f48e9e68d3604832e9605f5025c70ff0006b1980b945aeaf22f78e3469f
+DIST matplotlib-1.5.1.tar.gz 54031672 SHA256 
3ab8d968eac602145642d0db63dd8d67c85e9a5444ce0e2ecb2a8fedc7224d40 SHA512 
a0e78b5027a3a49cf8e77dc0d26f5f380dcd80f7b309b6121199acd5e1d94f48482864a9eee3bd397f7ac6f07fe1d3c21bf517217df3c72e8e3d105b7c2ae58e
 WHIRLPOOL 
5d56b1e17542d01ea58cbe6a085fae930dd71dac793260fd418633d1364ab7822d5a0ef16041260637f2472b1d9276c002f84603ab655573b7d8058d959475cd

diff --git a/dev-python/matplotlib/matplotlib-1.5.1.ebuild 
b/dev-python/matplotlib/matplotlib-1.5.1.ebuild
new file mode 100644
index 0000000..053e68d
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-1.5.1.ebuild
@@ -0,0 +1,273 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 eutils flag-o-matic multiprocessing virtualx 
toolchain-funcs
+
+DESCRIPTION="Pure python plotting library with matlab like syntax"
+HOMEPAGE="http://matplotlib.org/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+SLOT="0"
+# Main license: matplotlib
+# Some modules: BSD
+# matplotlib/backends/qt4_editor: MIT
+# Fonts: BitstreamVera, OFL-1.1
+LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="cairo doc excel examples fltk gtk2 gtk3 latex pyside qt4 qt5 test tk 
wxwidgets"
+
+PY2_FLAGS="|| ( $(python_gen_useflags python2_7) )"
+REQUIRED_USE="
+       doc? ( ${PY2_FLAGS} )
+       excel? ( ${PY2_FLAGS} )
+       fltk? ( ${PY2_FLAGS} )
+       gtk2? ( ${PY2_FLAGS} )
+       wxwidgets? ( ${PY2_FLAGS} )
+       test? (
+               cairo fltk latex pyside qt5 qt4 tk wxwidgets
+               || ( gtk2 gtk3 )
+               )"
+
+# #456704 -- a lot of py2-only deps
+PY2_USEDEP=$(python_gen_usedep python2_7)
+COMMON_DEPEND="
+       dev-python/cycler[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.6[${PYTHON_USEDEP}]
+       dev-python/python-dateutil:0[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4[${PYTHON_USEDEP}]
+       media-fonts/stix-fonts
+       media-libs/freetype:2
+       media-libs/libpng:0
+       media-libs/qhull
+       cairo? (
+               || (
+                       dev-python/pycairo[${PYTHON_USEDEP}]
+                       dev-python/cairocffi[${PYTHON_USEDEP}]
+                       )
+               )
+       gtk2? (
+               dev-libs/glib:2=
+               x11-libs/gdk-pixbuf
+               x11-libs/gtk+:2
+               dev-python/pygtk[${PY2_USEDEP}] )
+       wxwidgets? ( >=dev-python/wxpython-2.8:*[${PY2_USEDEP}] )"
+
+# internal copy of pycxx highly patched
+#      dev-python/pycxx
+
+DEPEND="${COMMON_DEPEND}
+       dev-python/versioneer[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       virtual/pkgconfig
+       doc? (
+               app-text/dvipng
+               dev-python/pillow[${PYTHON_USEDEP}]
+               dev-python/ipython[${PYTHON_USEDEP}]
+               dev-python/mock[${PY2_USEDEP}]
+               dev-python/numpydoc[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/xlwt[${PYTHON_USEDEP}]
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-fontsrecommended
+               dev-texlive/texlive-latexrecommended
+               media-gfx/graphviz[cairo]
+       )
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               >=dev-python/nose-0.11.1[${PYTHON_USEDEP}]
+               )"
+
+RDEPEND="${COMMON_DEPEND}
+       >=dev-python/pyparsing-1.5.6[${PYTHON_USEDEP}]
+       excel? ( dev-python/xlwt[${PYTHON_USEDEP}] )
+       fltk? ( dev-python/pyfltk[${PYTHON_USEDEP}] )
+       gtk3? (
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+               x11-libs/gtk+:3[introspection] )
+       latex? (
+               virtual/latex-base
+               app-text/ghostscript-gpl
+               app-text/dvipng
+               app-text/poppler[utils]
+               dev-texlive/texlive-fontsrecommended
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-xetex
+       )
+       pyside? ( dev-python/pyside[X,${PYTHON_USEDEP}] )
+       qt4? ( dev-python/PyQt4[X,${PYTHON_USEDEP}] )
+       qt5? ( dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}] )
+       "
+
+# A few C++ source files are written to srcdir.
+# Other than that, the ebuild shall be fit for out-of-source build.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+pkg_setup() {
+       unset DISPLAY # bug #278524
+       use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( python2.7 )
+}
+
+use_setup() {
+       local uword="${2:-${1}}"
+       if use ${1}; then
+               echo "${uword} = True"
+               echo "${uword}agg = True"
+       else
+               echo "${uword} = False"
+               echo "${uword}agg = False"
+       fi
+}
+
+python_prepare_all() {
+# Generates test failures, but fedora does it
+#      local PATCHES=(
+#              "${FILESDIR}"/${P}-unbundle-pycxx.patch
+#              "${FILESDIR}"/${P}-unbundle-agg.patch
+#      )
+#      rm -r agg24 CXX || die
+#      rm -r agg24 || die
+
+#      cat > lib/${PN}/externals/six.py <<-EOF
+#      from __future__ import absolute_import
+#      from six import *
+#      EOF
+
+       sed \
+               -e 's/matplotlib.pyparsing_py[23]/pyparsing/g' \
+               -i lib/matplotlib/{mathtext,fontconfig_pattern}.py \
+               || die "sed pyparsing failed"
+
+       # suggested by upstream
+#      sed \
+#              -e '/tol/s:32:35:g' \
+#              -i lib/matplotlib/tests/test_mathtext.py || die
+
+       sed \
+               -e "s:/usr/:${EPREFIX}/usr/:g" \
+               -i setupext.py || die
+
+       # https://github.com/matplotlib/matplotlib/issues/5829
+       sed \
+               -e '/rasterize_10dpi/s:5e-2:10:g' \
+               -i lib/matplotlib/tests/test_image.py || die
+
+       export XDG_RUNTIME_DIR="${T}/runtime-dir"
+       mkdir "${XDG_RUNTIME_DIR}" || die
+       chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       append-flags -fno-strict-aliasing
+       append-cppflags -DNDEBUG  # or get old trying to do triangulation
+       tc-export PKG_CONFIG
+}
+
+python_configure() {
+       mkdir -p "${BUILD_DIR}" || die
+
+       # create setup.cfg (see setup.cfg.template for any changes).
+
+       # common switches.
+       cat > "${BUILD_DIR}"/setup.cfg <<- EOF
+               [directories]
+               basedirlist = "${EPREFIX}/usr"
+               [provide_packages]
+               pytz = False
+               dateutil = False
+               [gui_support]
+               agg = True
+               $(use_setup cairo)
+               $(use_setup pyside)
+               $(use_setup qt4)
+               $(use_setup qt5)
+               $(use_setup tk)
+       EOF
+
+       if use gtk3 && use cairo; then
+               echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
+       else
+               echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
+       fi
+
+       if $(python_is_python3); then
+               cat >> "${BUILD_DIR}"/setup.cfg <<- EOF
+                       six = True
+                       fltk = False
+                       fltkagg = False
+                       gtk = False
+                       gtkagg = False
+                       wx = False
+                       wxagg = False
+               EOF
+       else
+               cat >> "${BUILD_DIR}"/setup.cfg <<-EOF
+                       six = False
+                       $(use_setup fltk)
+                       $(use_setup gtk2 gtk)
+                       $(use_setup gtk3)
+                       $(use_setup wxwidgets wx)
+               EOF
+       fi
+}
+
+wrap_setup() {
+       local MPLSETUPCFG=${BUILD_DIR}/setup.cfg
+       export MPLSETUPCFG
+       unset DISPLAY
+
+       # Note: remove build... if switching to out-of-source build
+       "${@}" build --build-lib="${BUILD_DIR}"/build/lib
+}
+
+python_compile() {
+       wrap_setup distutils-r1_python_compile
+}
+
+python_compile_all() {
+       if use doc; then
+               cd doc || die
+
+               # necessary for in-source build
+               local -x PYTHONPATH="${BUILD_DIR}"/build/lib:${PYTHONPATH}
+
+               VARTEXFONTS="${T}"/fonts \
+               "${PYTHON}" ./make.py --small html || die
+       fi
+}
+
+python_test() {
+       wrap_setup distutils_install_for_testing
+
+#      virtx ${PYTHON} tests.py \
+#              --no-pep8 \
+#              --no-network \
+#              --verbose \
+#              --processes=$(makeopts_jobs)
+
+       virtx "${PYTHON}" -c "import sys, matplotlib as m; sys.exit(0 if 
m.test(verbosity=2) else 1)"
+}
+
+python_install() {
+       wrap_setup distutils-r1_python_install
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to